# Uses of Interface
org.eclipse.emf.cdo.net4j.CDONet4jSession

Packages that use CDONet4jSession
Package
Description
org.eclipse.emf.cdo.admin
Client side of the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.

## Uses of CDONet4jSession in org.eclipse.emf.cdo.admin

Methods in org.eclipse.emf.cdo.admin that return CDONet4jSession
Modifier and Type
Method
Description
`CDONet4jSession`
CDOAdminClientRepository.`openSession()`
`CDONet4jSession`
CDOAdminClientRepository.`openSession(CDOAdminClientRepository.SessionConfigurator configurator)`

## Uses of CDONet4jSession in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDONet4jSession
Modifier and Type
Method
Description
`protected CDONet4jSession`
AbstractLifecycleManager.`openModuleSession(InternalRepository moduleRepository)`

## Uses of CDONet4jSession in org.eclipse.emf.cdo.net4j

Subinterfaces of CDONet4jSession in org.eclipse.emf.cdo.net4j
Modifier and Type
Interface
Description
`interface`
`CDOSession`
Deprecated.
Use `CDONet4jSession`.
Methods in org.eclipse.emf.cdo.net4j that return CDONet4jSession
Modifier and Type
Method
Description
`static CDONet4jSession`
CDONet4jUtil.`getNet4jSession(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`protected CDONet4jSession`
CDONet4jViewProvider.`getNet4jSession(org.eclipse.net4j.connector.IConnector connector, String userName, String passWord, String repositoryName)`
`CDONet4jSession`
CDOSessionRecoveryException.`getSession()`
`CDONet4jSession`
CDONet4jSessionConfiguration.`openNet4jSession()`
Methods in org.eclipse.emf.cdo.net4j that return types with arguments of type CDONet4jSession
Modifier and Type
Method
Description
`org.eclipse.net4j.signal.ISignalProtocol<CDONet4jSession>`
CDONet4jSession.Options.`getNet4jProtocol()`
Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.
Constructors in org.eclipse.emf.cdo.net4j with parameters of type CDONet4jSession
Modifier
Constructor
Description
``
`CDOSessionRecoveryException(CDONet4jSession session)`
``
`CDOSessionRecoveryException(CDONet4jSession session, Throwable cause)`

## Uses of CDONet4jSession in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded that return CDONet4jSession
Modifier and Type
Method
Description
`final CDONet4jSession`
CDOEmbeddedRepositoryConfig.`openClientSession()`
Methods in org.eclipse.emf.cdo.server.embedded with parameters of type CDONet4jSession
Modifier and Type
Method
Description
`void`
CDOEmbeddedRepositoryConfig.`modifySession(IRepository repository, CDONet4jSession session)`
Subclasses may override.